ServerEvents.recipes(event => {
  //Raw Ores
  event.recipes.createoreexcavation.drilling('minecraft:raw_copper', 'kubejs:copper_vein', 100)
	.id("kubejs:copper_drilling").stress(32),

  event.recipes.createoreexcavation.drilling('crusty_chunks:raw_nickel', 'kubejs:nickel_vein', 100)
  .id("kubejs:nickel_drilling").stress(48),

  event.recipes.createoreexcavation.drilling('minecraft:raw_iron', 'kubejs:iron_vein', 150)
  .id("kubejs:iron_drilling").stress(64),

  event.recipes.createoreexcavation.drilling('create:raw_zinc', 'kubejs:zinc_vein', 200)
  .id("kubejs:zinc_drilling").stress(64),

  event.recipes.createoreexcavation.drilling('crusty_chunks:raw_lead', 'kubejs:lead_vein', 300)
  .id("kubejs:lead_drilling").fluid('crusty_chunks:diesel 10').stress(96),

  event.recipes.createoreexcavation.drilling('minecraft:raw_gold', 'kubejs:gold_vein', 400)
  .id("kubejs:gold_drilling").fluid('crusty_chunks:diesel 25').stress(128),

  event.recipes.createoreexcavation.drilling('crusty_chunks:raw_lithium', 'kubejs:lithium_vein', 600)
  .id("kubejs:lithium_drilling").drill('createoreexcavation:diamond_drill').fluid('crusty_chunks:diesel 500').stress(256),

  event.recipes.createoreexcavation.drilling('crusty_chunks:raw_beryllium', 'kubejs:beryllium_vein', 1200)
  .id("kubejs:beryllium_drilling").drill('createoreexcavation:netherite_drill').fluid('crusty_chunks:diesel 1000').stress(512),

  event.recipes.createoreexcavation.drilling('crusty_chunks:raw_uranium', 'kubejs:uranium_vein', 1200)
  .id("kubejs:uranium_drilling").drill('createoreexcavation:netherite_drill').fluid('crusty_chunks:diesel 1000').stress(512),

  event.recipes.createoreexcavation.drilling('crusty_chunks:bauxite', 'kubejs:bauxite_vein', 200)
  .id("kubejs:bauxite_drilling").stress(64),

  //Other Materials
  event.recipes.createoreexcavation.drilling('minecraft:coal', 'kubejs:coal_vein', 100)
  .id("kubejs:coal_drilling").stress(32)

  event.recipes.createoreexcavation.drilling('crusty_chunks:shale_oil', 'kubejs:tar_vein', 800)
  .id("kubejs:tar_drilling").stress(64),

  event.recipes.createoreexcavation.drilling('minecraft:amethyst_shard', 'kubejs:amethyst_vein', 200)
  .id("kubejs:amethyst_drilling").stress(64),

  event.recipes.createoreexcavation.drilling('createoreexcavation:raw_redstone', 'kubejs:redstone_vein', 100)
  .id("kubejs:redstone_drilling").stress(32),

  event.recipes.createoreexcavation.drilling('minecraft:lapis_lazuli', 'kubejs:lapis_vein', 200)
  .id("kubejs:lapis_drilling").stress(32),

  event.recipes.createoreexcavation.drilling('crusty_chunks:sulfur', 'kubejs:sulfur_vein', 200)
  .id("kubejs:sulfur_drilling").stress(64)

  event.recipes.createoreexcavation.drilling('createoreexcavation:raw_diamond', 'kubejs:diamond_vein', 600)
  .id("kubejs:diamond_drilling").drill('createoreexcavation:netherite_drill').fluid('crusty_chunks:diesel 100').stress(256),

  event.recipes.createoreexcavation.drilling('createoreexcavation:raw_emerald', 'kubejs:emerald_vein', 600)
  .id("kubejs:emerald_drilling").drill('createoreexcavation:diamond_drill').fluid('crusty_chunks:diesel 50').stress(256),

  //Fluids
  event.recipes.createoreexcavation.extracting('crusty_chunks:crude_oil 1000', 'kubejs:oil_vein', 24000)
  .id("kubejs:oil_drilling").drill('createoreexcavation:netherite_drill').fluid('minecraft:water 2000').stress(512)

})
